package quant.rich.emoney.pojo.dto;

import java.util.Base64;

import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain=true)
public class EmoneyProtobufBody {
    
    private Integer protocolId = null;
    private String protocolBody = null;
    private String className = null;
    
    public byte[] protocolBodyToByte() {
        if (protocolBody == null) {
            return null;
        }
        return Base64.getDecoder().decode(protocolBody);
    }

}
